<?php

/**
 * 
 *
 * @version $Id$
 * @copyright 2003 
 **/

class rhcss_editor_month_view_by_day extends module_righthere_css{
	function __construct($args=array()){
		return parent::__construct($args);
	}
	
	function options($t=array()){
		$i = count($t);
		//-- Container --------------------------------			

		
		$days = array(
			'sun'	=> __('Sunday','rhl'),
			'mon'	=> __('Monday','rhl'),
			'tue'	=> __('Tuesday','rhl'),
			'wed'	=> __('Wednesday','rhl'),
			'thu'	=> __('Thursday','rhl'),
			'fri'	=> __('Friday','rhl'),
			'sat'	=> __('Saturday','rhl')
		);
			
		foreach( $days as $index => $label ){
			$i = count($t);
			$t[$i]=(object)array();
			$t[$i]->id 			= 'rhc-month-tr-'.$index; 
			$t[$i]->label 		= $label;
			$t[$i]->options = array();	


// .fullCalendar .fc-view-month table.fc-border-separate tr .fc-{$index}.fc-widget-header, 
			$t[$i]->options = $this->add_border_options($t[$i]->options,array(
				'prefix'	=> 'byday_month_label_'.$index,
				'selector'	=> ".fullCalendar .fc-view-month table.fc-border-separate tr th.fc-{$index}.fc-widget-header",
				'label'			=> array(
					'color'	=> __('Bottom border color','rhc'),
					'style' => __('Bottom border style','rhc'),
					'size'	=> __('Width','rhc'),
					'collapse'	=> __('Collapse', 'rhc'),
					'spacing'	=> __('Spacing', 'rhc')
				),
				'property'	=>array(
					'color'		=> 'border-bottom-color',
					'style' 	=> 'border-bottom-style',
					'size'		=> 'border-bottom-width',
					'collapse'	=> 'border-bottom-collapse',
					'spacing'	=> 'border-bottom-spacing'
				)			
			));		

			$t[$i]->options = $this->add_font_options( $t[$i]->options, array(
				'prefix'	=> 'rhc_month_tr_' . $index,
				'selector'	=> ".rhcalendar.not-widget .fullCalendar .fc-view-month table.fc-border-separate tr .fc-{$index}.fc-widget-header, .rhcalendar.not-widget .fullCalendar .fc-view-month table.fc-border-separate tr .fc-{$index}.fc-widget-content .fc-day-number",
				'labels'	=> (object)array(
					'family'	=> __('Day font','rhc'),
					'size'		=> __('Size','rhc'),
					'color'		=> __('Color','rhc')				
				)
			));	


			$t[$i]->options = $this->add_border_options($t[$i]->options,array(
				'prefix'	=> 'rhc_month_tr_border_' . $index,
				'selector'	=> ".fullCalendar .fc-view-month table.fc-border-separate tr .fc-{$index}.fc-widget-content"
			));	




		
		}	
							
		//-- Saved and DC  -----------------------		
		$i = count($t);
		$t[$i]=(object)array();
		$t[$i]->id 			= 'rh-saved-list'; 
		$t[$i]->label 		= __('Templates','rhc');
		$t[$i]->options = array(
			(object)array(
				'id'				=> 'rh_saved_settings',
				'input_type'		=> 'backup_list'
			)			
		);			
//----------------------------------------------------------------------
		return $t;
	}
}
?>